org.keycloak.services.migration

## Class DefaultMigrationProvider

- java.lang.Object
- - org.keycloak.services.migration.DefaultMigrationProvider

- All Implemented Interfaces:
    MigrationProvider, Provider

      public class DefaultMigrationProvider
      extends Object
      implements MigrationProvider

  Various common utils needed for migration from older version to newer
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMigrationProvider(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `List<ProtocolMapperModel>` | `getBuiltinMappers(String protocol)`
    `List<ProtocolMapperRepresentation>` | `getMappersForClaimMask(Long claimMask)`
    `void` | `setupAdminCli(RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMigrationProvider

          public DefaultMigrationProvider(KeycloakSession session)

  - ### Method Detail

    - #### getMappersForClaimMask

          public List<ProtocolMapperRepresentation> getMappersForClaimMask(Long claimMask)

      Specified by:
        `getMappersForClaimMask` in interface `MigrationProvider`
      Parameters:
        `claimMask` - mask used on ClientModel in 1.1.0
      Returns:
        set of 1.2.0.Beta1 protocol mappers corresponding to given claimMask

    - #### getBuiltinMappers

          public List<ProtocolMapperModel> getBuiltinMappers(String protocol)

      Specified by:
        `getBuiltinMappers` in interface `MigrationProvider`

    - #### setupAdminCli

          public void setupAdminCli(RealmModel realm)

      Specified by:
        `setupAdminCli` in interface `MigrationProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2016 JBoss by Red Hat. All rights reserved.